quarkus.http.host=0.0.0.0
# quarkus.log.console.color=true
quarkus.log.level=WARN
%dev.quarkus.log.level=INFO
%dev.quarkus.log.console.enable=true
%dev.quarkus.log.console.level=INFO
# %dev.quarkus.log.console.category."de.fhe.proreg".level=DEBUG
%dev.quarkus.log.category."de.fhe.proreg".level=DEBUG
%dev.quarkus.log.category."io.quarkus".level=INFO
%dev.quarkus.log.category."org.hibernate".level=INFO
%test.quarkus.log.level=INFO
%test.quarkus.log.console.enable=true
%test.quarkus.log.console.level=INFO
# %test.quarkus.log.console.category."de.fhe.proreg".level=DEBUG
%test.quarkus.log.category."de.fhe.proreg".level=DEBUG
%test.quarkus.log.category."io.quarkus".level=INFO
%test.quarkus.log.category."org.hibernate".level=INFO
%test.quarkus.log.file.enable=true
# Send output to a trace.log file under the /tmp directory
%test.quarkus.log.file.path=./trace.log
%test.quarkus.log.file.level=INFO

quarkus.native.resources.includes=privateKey.pem,publicKey.pem
smallrye.jwt.sign.key.location=privateKey.pem
smallrye.jwt.encrypt.key.location=publicKey.pem
mp.jwt.verify.publickey.location=publicKey.pem
mp.jwt.verify.issuer=https://fh-erfurt.de/proreg
quarkus.security.users.file.realm-name=https://fh-erfurt.de/proreg
de.fhe.proreg.token-validity-seconds=120

quarkus.smallrye-openapi.path=/api/q/openapi
quarkus.swagger-ui.path=/api/q/swagger-ui
quarkus.swagger-ui.always-include=true
%dev.quarkus.swagger-ui.always-include=true

%prod.quarkus.redis.hosts=redis://backend-cache:6379
quarkus.redis.timeout=30s

quarkus.datasource.db-kind=postgresql
%prod.quarkus.datasource.username=proreg
%prod.quarkus.datasource.password=proreg
%prod.quarkus.datasource.jdbc.url=jdbc:tracing:postgresql://backend-db:5432/proreg-prod
# %prod.quarkus.datasource.jdbc.driver=org.postgresql.Driver
%prod.quarkus.datasource.jdbc.driver=io.opentracing.contrib.jdbc.TracingDriver
quarkus.hibernate-orm.metrics.enabled=true
# quarkus.hibernate-orm.jdbc.timezone=UTC
# quarkus.hibernate-orm.database.generation=none
quarkus.hibernate-orm.database.generation=drop-and-create
quarkus.hibernate-orm.scripts.generation=drop-and-create
quarkus.hibernate-orm.scripts.generation.create-target=create-pg.sql
quarkus.hibernate-orm.scripts.generation.drop-target=drop-pg.sql
quarkus.hibernate-orm.sql-load-script=import.sql
# <property name="hibernate.jdbc.time_zone" value="UTC"/>

# No default services config
# quarkus.datasource.devservices.enabled=false

%dev.quarkus.live-reload.instrumentation=true
%test.quarkus.datasource.jdbc.url=jdbc:h2:tcp://localhost/~/test
# %test.quarkus.datasource.jdbc.url=jdbc:h2:tcp://localhost/~/test, jdbc:h2:mem:proreg;DB_CLOSE_DELAY=-1;DB_CLOSE_ON_EXIT=true;MVCC=TRUE;IGNORECASE=TRUE;DATABASE_TO_UPPER=true
# %test.quarkus.datasource.jdbc.url=jdbc:h2:mem:proreg;DB_CLOSE_DELAY=-1;DB_CLOSE_ON_EXIT=true;IGNORECASE=TRUE;DATABASE_TO_UPPER=true
# %test.quarkus.datasource.jdbc.url=jdbc:h2:mem:test
%test.quarkus.datasource.jdbc.driver=org.h2.Driver
%test.quarkus.datasource.db-kind=h2
%dev.quarkus.datasource.jdbc.url=jdbc:tracing:postgresql://backend-db:5432/proreg-dev
%dev.quarkus.datasource.jdbc.driver=io.opentracing.contrib.jdbc.TracingDriver
%dev.quarkus.datasource.db-kind=postgresql
%dev.quarkus.datasource.username=proreg
%dev.quarkus.datasource.password=proreg
%dev.quarkus.hibernate-orm.database.generation=drop-and-create
%test.quarkus.hibernate-orm.database.generation=drop-and-create
%test.quarkus.hibernate-orm.scripts.generation.create-target=create-h2.sql
%test.quarkus.hibernate-orm.scripts.generation.drop-target=drop-h2.sql
%dev.quarkus.hibernate-orm.scripts.generation.create-target=create-pg.sql
%dev.quarkus.hibernate-orm.scripts.generation.drop-target=drop-pg.sql
%dev.quarkus.hibernate-orm.sql-load-script=import.sql

quarkus.smallrye-openapi.info-title=FH-Erfurt Project Registration API
%dev.quarkus.smallrye-openapi.info-title=FH-Erfurt Project Registration API (dev)
%test.quarkus.smallrye-openapi.info-title=FH-Erfurt Project Registration API (test)
quarkus.smallrye-openapi.info-version=0.1.0
quarkus.smallrye-openapi.info-description=API for managing student projects and theses
# quarkus.smallrye-openapi.info-terms-of-service=???
quarkus.smallrye-openapi.info-contact-email=stefan.woyde@fh-erfurt.de
quarkus.smallrye-openapi.info-contact-name=Stefan Woyde
quarkus.smallrye-openapi.info-contact-url=https://moodle.fh-erfurt.de/user/profile.php?id=5422
quarkus.smallrye-openapi.info-license-name=MIT
quarkus.smallrye-openapi.info-license-url=https://opensource.org/licenses/MIT

# quarkus.log.handler.gelf.additional-field.service.value=api

de.fhe.proreg.caretaker-partitioning=0 15 10 * * ?
